## org.flexdock.dockbar.event
Class DockablePropertyChangeHandler

    java.lang.Object
      org.flexdock.dockbar.event.DockablePropertyChangeHandler

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener

    public class DockablePropertyChangeHandler

extends java.lang.Object
implements java.beans.PropertyChangeListener

Author:
  Christopher Butler TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Nested Class Summary
`static class` `DockablePropertyChangeHandler.Factory`

Field Summary
`static DockablePropertyChangeHandler` `DEFAULT_INSTANCE`

Constructor Summary
`DockablePropertyChangeHandler()`

Method Summary
`void` `propertyChange(java.beans.PropertyChangeEvent evt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_INSTANCE

    public static final DockablePropertyChangeHandler DEFAULT_INSTANCE

Constructor Detail

### DockablePropertyChangeHandler

    public DockablePropertyChangeHandler()

Method Detail

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`